Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.hit.com/llms.txt

Use this file to discover all available pages before exploring further.

Get User Positions

GET /api/v1/markets/user-positions
Authentication: API key HMAC Query parameters:
QueryTypeRequiredDescription
statusenum stringNoMarket status: DRAFT, ACTIVE, or RESOLVED.
idUUID stringNoMarket UUID.
eventIdUUID stringNoEvent UUID.
titlestringNoCase-insensitive title filter.
pageintegerNoPage number. Default 1.
limitintegerNoResults per page. Default 10.
sortByenum stringNolatest, current, initial, or return. Default latest.
orderenum stringNoASC or DESC. Default DESC.
Response type: UserPositionsResponse.
FieldTypeRequiredDescription
firstintegerYesOne-based index of the first item on the current page.
lastintegerYesOne-based index of the last item on the current page.
limitintegerYesResults per page.
totalintegerYesTotal matching positions.
dataUserPosition[]YesUser positions.

Get Position Value

GET /api/v1/markets/value
Authentication: API key HMAC Query parameters:
QueryTypeRequiredDescription
useraddress stringNoProxy wallet address. Defaults to the authenticated user.
marketsUUID string or UUID string[]NoMarket IDs to filter positions. Send once or as repeated query parameters.
Response type: UserPositionValue.
FieldTypeRequiredDescription
useraddress stringYesProxy wallet address used for the calculation.
valuenumberYesTotal position value in USD.

Get User Activity

GET /api/v1/markets/user-activity
Authentication: API key HMAC Query parameters:
QueryTypeRequiredDescription
termstringNoSearch term. Max 50 characters.
namestringNoCase-insensitive partial name filter.
marketUUID stringNoMarket UUID.
typesenum string or enum string[]NoBUY, SELL, SPLIT, MERGE, or REDEEM.
fromTimestampintegerNoUnix timestamp in seconds.
toTimestampintegerNoUnix timestamp in seconds.
pageintegerNoPage number. Default 1.
limitintegerNoResults per page. Default 10.
totalbooleanNoInclude total count. Default true.
sortBystringNoSort field. Default usersactivityview.timestamp.
orderenum stringNoASC or DESC. Default DESC.
Response type: Pagination<Activity>.

Get Markets Traded Count

GET /api/v1/markets/traded-count
Authentication: API key HMAC Response type: number.

UserPosition

FieldTypeRequiredDescription
market_uuidUUID stringYesMarket UUID.
tokenIdstringYesHeld outcome token ID.
acquisitionPricestringYesAverage acquisition price.
amountstringYesToken amount held.
lateststringYesLatest token price.
currentstringYesCurrent position value.
initialstringYesInitial position value.
returnstringYesPosition return.
iconstringNoMarket icon URL.
slugstringNoEvent slug.
titlestringNoMarket title.
statusenum stringNoDRAFT, ACTIVE, or RESOLVED.
conditionIdstringNoConditional Tokens condition ID.
resolvedTostring or numberNoResolution outcome.
outcomestringNoOutcome label.
outcomeIndexintegerNoOutcome index: 0 or 1.
orderFeeRateBpsintegerNoMarket fee rate in basis points.

Activity

FieldTypeRequiredDescription
idUUID stringYesActivity row UUID.
namestringYesMarket or event name.
slugstringYesEvent slug.
descriptionstringYesEvent description.
createdAtstring (date-time)YesEvent creation timestamp.
createdByUUID stringYesEvent creator user ID.
updatedAtstring (date-time)YesEvent update timestamp.
startDatestring (date-time)YesEvent start timestamp.
endDatestring (date-time)YesEvent end timestamp.
protectedbooleanYesWhether the event is protected.
iconstringYesIcon URL.
tokenId1stringYesOutcome 1 token ID.
tokenId2stringYesOutcome 2 token ID.
conditionIdstringYesConditional Tokens condition ID.
proxy_addressaddress stringYesUser proxy wallet address.
outcome1stringYesOutcome 1 label.
outcome2stringYesOutcome 2 label.
typeenum stringYesBUY, SELL, SPLIT, MERGE, or REDEEM.
timestampintegerYesActivity timestamp in seconds.
hashstringYesTransaction hash.
amountnumberYesActivity amount.
parent_collection_idstringYesConditional Tokens parent collection ID.
partitioninteger[]YesConditional Tokens partition.
isResolvedbooleanYesWhether the market is resolved.
pricestringYesActivity price.
feenumberYesFee amount.